fetch('https://gist.githubusercontent.com/Sushen28/9f577abfba78c7e544b37cbf98ae47f3/raw/4d41e27becb110474b2df8789f5a0c73b5813207/seattle_weather_2017.csv')
  .then(response => response.text())
  .then(data => {
    const labels = [];
    const values = [];
    const rows = data.split('\n');
    rows.forEach(row => {
      const columns = row.split(',');
      labels.push(columns[0]);
      values.push(parseFloat(columns[1]));
    });

    const chartData = {
      labels: labels,
      datasets: [
        {
          label: 'Avg Temperature',
          backgroundColor: 'rgba(255, 99, 132, 0.2)',
          borderColor: 'rgba(255, 99, 132, 1)',
          borderWidth: 1,
          hoverBackgroundColor: 'rgba(255, 99, 132, 0.4)',
          hoverBorderColor: 'rgba(255, 99, 132, 1)',
          data: values,
        }
      ]
    };

    const ctx = document.getElementById('myChart').getContext('2d');
    const chart = new Chart(ctx, {
      type: 'bar',
      data: chartData,
      options: {
        responsive: true,
        scales: {
          yAxes: [{
            ticks: {
              beginAtZero: true,
            }
          }]
        }
      }
    });
  });

